(in-package #:asdf-user)

(defsystem :scopes-auth
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Authentication services"
  :depends-on (:scopes)
  :components ((:file "auth")
               (:file "web" :depends-on ("auth")))
  :long-description "scopes framework: authentication services."
  ;;#.(uiop:read-file-string
  ;;   (uiop:subpathname *load-pathname* "README.md")))
  :in-order-to ((test-op 
                  (test-op "scopes-auth/test"))))

(defsystem :scopes-auth/test
  :depends-on (:scopes-auth)
  :components ((:file "test/test-auth"))
  :perform (test-op (o c) 
    (symbol-call :scopes-auth/test :run)))


